import request from '@/utils/request'

// 查询部门
export function getDepart () {
    return request({
      url: '/config/depart',
      method: 'GET'
    })
  }

// 新增部门
export function postDepart (data) {
    return request({
      url: '/config/depart',
      method: 'POST',
      data
    })
  }

// 删除部门
export function deleteDepart (id) {
    return request({
      url: `/config/depart/${id}`,
      method: 'DELETE'
    })
  }

// 编辑部门
export function putDepart (data) {
    return request({
      url: `/config/depart`,
      method: 'PUT',
      data
    })
  }

// 查询部门
export function getUser (id) {
    return request({
      url: `/config/user/${id}`,
      method: 'GET'
    })
}

// 新增人员
export function postUser (data) {
    return request({
      url: `/config/user`,
      method: 'POST',
      data
    })
}

// 筛选人员
export function searchUser (params) {
    return request({
      url: `/config/user`,
      method: 'GET',
      params
    })
}
